<template>
    <div>
        <Header/>
        <section>
            <Sidebar @status="selectionMethod"/>
        </section>
        <section class="content">
            <Dashboard v-if="selection==='dashboard'" />
            <LogoName v-else-if="selection==='logoName'"/>
            <Social v-else-if="selection==='social'"/>
            <Category v-else-if="selection==='category'"/>
            <SubCategory v-else-if="selection==='subCategory'"/>
            <SubSubCategory v-else-if="selection==='subSubCategory'"/>
            <Brand v-else-if="selection==='brand'"/>
            <Color v-else-if="selection==='color'"/>
            <Size v-else-if="selection==='size'"/>
            <Product v-else-if="selection==='product'"/>
            <AboutUs v-else-if="selection==='about'"/>
            <ContactInformation v-else-if="selection==='contact'"/>
            <PasswordChange v-else-if="selection==='passwordChange'"/>
        </section>
    </div>
</template>

<script>
    import Header from "./Header";
    import Sidebar from "./Sidebar";
    import Dashboard from "./Dashboard";
    import LogoName from "./LogoName";
    import Social from "./Social";
    import Category from "./Category";
    import SubCategory from "./sub_category/SubCategory";
    import SubSubCategory from "./sub_sub_category/SubSubCategory";
    import Brand from "./brand/Brand";
    import Color from "./color/Color";
    import Size from "./size/Size";
    import Product from "./product/Product";
    import AboutUs from "./AboutUs";
    import ContactInformation from "./ContactInformation";
    import PasswordChange from "./PasswordChange";
    import Toaster from 'v-toaster'
    import 'v-toaster/dist/v-toaster.css';
    Vue.use(Toaster, {timeout: 5000});
    export default {
        data(){
            return {
                selection:'dashboard',
            }
        },
        methods:{
            selectionMethod(text){
                this.selection=text;
            },
        },
        components: {Header,Sidebar,Dashboard,LogoName,Social,
            Category,SubCategory,SubSubCategory,Brand,Color,Size,
            Product,AboutUs,ContactInformation,PasswordChange}
    }
</script>
